
Cook: cgal 4.4
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): libidn-1.33
Installing (pkg/local): pcre-8.40
Installing (pkg/local): util-linux-uuid-2.30.0
Installing (pkg/local): wget-1.19.1
Installing (pkg/local): libxml2-2.9.4
Installing (pkg/local): lz4-lib-1.7.5
Installing (pkg/local): lzo-2.10
Installing (pkg/local): nettle-3.3
Installing (pkg/local): libarchive-3.2.2
Installing (pkg/local): libidn2-2.0.0
Installing (pkg/local): libssh2-1.8.0
Installing (pkg/local): libcurl-7.54.0
Installing (pkg/local): cmake-3.9.1
Installing (pkg/local): libboost-dev-1.63.0
Installing (pkg/local): libboost-date-time-1.63.0
Installing (pkg/local): libboost-iostreams-1.63.0
Installing (pkg/local): libicu-58.2
Installing (pkg/local): icu-58.2
Installing (pkg/local): libboost-regex-1.63.0
Installing (pkg/local): libboost-serialization-1.63.0
Installing (pkg/local): libboost-system-1.63.0
Installing (pkg/local): libboost-thread-1.63.0
Installing (pkg/local): libboost-1.63.0
Installing (pkg/local): gmp-dev-6.1.2
Installing (pkg/local): mpfr-dev-3.1.5
Extracting source archive "CGAL-4.4.tar.xz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -fomit-frame-pointer
-- The CXX compiler identification is GNU 6.3.0
-- The C compiler identification is GNU 6.3.0
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
== Setting paths ==
-- Build CGAL from release in directory cgal-4.4
-- Packagenames: cgal-4.4
== Setting paths (DONE) ==

== Generate version files ==
-- CGAL_MAJOR_VERSION=4
-- CGAL_MINOR_VERSION=4
-- CGAL_BUGFIX_VERSION=0
-- CGAL_SONAME_VERSION=10
-- CGAL_SOVERSION     =10.0.3
-- CGAL_REFERENCE_CACHE_DIR=
-- Building shared libraries
-- Targetting Unix Makefiles
-- Using /usr/bin/c++ compiler.
-- USING CMake version: 3.9.1
-- System: Linux
-- USING GCC_VERSION = '6.3.0'
== Generate version files (DONE) ==

== Set up flags ==
-- Build type: Release
-- USING CXXFLAGS = '-march=i486 -Os -pipe -fomit-frame-pointer -O3 -DNDEBUG'
-- USING LDFLAGS = ' '
== Set up flags (DONE) ==

== Detect external libraries ==
-- External libraries supported: GMP;GMPXX;MPFR;ZLIB;OpenGL;LEDA;MPFI;RS;RS3;OpenNL;TAUCS;Eigen3;BLAS;LAPACK;QGLViewer;ESBTL;Coin3D;NTL;IPE
-- Preconfiguring library: GMP ...
-- Found GMP: /usr/lib/libgmp.so  
-- GMP has been preconfigured:
--   UseGMP-file:      
--   GMP include:      /usr/include
--   GMP libraries:    /usr/lib/libgmp.so
--   GMP definitions:  
-- USING GMP_VERSION = '6.1.2'
-- Preconfiguring library: MPFR ...
-- Found MPFR: /usr/lib/libmpfr.so  
-- MPFR has been preconfigured:
--   UseMPFR-file:      
--   MPFR include:      /usr/include
--   MPFR libraries:    /usr/lib/libmpfr.so
--   MPFR definitions:  
-- USING MPFR_VERSION = '3.1.5'
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Boost version: 1.63.0
-- Found the following Boost libraries:
--   thread
--   system
--   chrono
--   date_time
-- Boost include:     /usr/include
-- Boost libraries:   /usr/lib/libboost_thread.so;/usr/lib/libboost_system.so;/usr/lib/libboost_chrono.a;/usr/lib/libboost_date_time.so
-- Boost definitions: 
-- USING BOOST_VERSION = '1.63.0'
== Detect external libraries (DONE) ==

== Write compiler_config.h ==
-- Performing Test CGAL_CFG_BOOST_VARIANT_SWAP_BUG - Success
-- Performing Test CGAL_CFG_DENORMALS_COMPILE_BUG - Success
-- Performing Test CGAL_CFG_FPU_ROUNDING_MODE_UNWINDING_VC_BUG - Success
-- Performing Test CGAL_CFG_IEEE_754_BUG - Success
-- Performing Test CGAL_CFG_ISTREAM_INT_BUG - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_5 - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_6 - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_7 - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_8 - Success
-- Performing Test CGAL_CFG_NESTED_CLASS_FRIEND_DECLARATION_BUG - Success
-- Performing Test CGAL_CFG_NO_LIMITS - Success
-- Performing Test CGAL_CFG_NO_NEXTAFTER - Success
-- Performing Test CGAL_CFG_NO_STL - Success
-- Performing Test CGAL_CFG_NO_WARNING_CPP_DIRECTIVE_BUG - Success
-- Performing Test CGAL_CFG_NUMERIC_LIMITS_BUG - Success
-- Performing Test CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG - Success
-- Performing Test CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG - Success
-- Performing Test CGAL_CFG_TYPENAME_BEFORE_DEFAULT_ARGUMENT_BUG - Success
-- Performing Test CGAL_CFG_USING_BASE_MEMBER_BUG_2 - Success
== Write compiler_config.h (DONE) ==

== Generating build files ==
Configuring libCGAL
-- Requested component: MPFR
-- Requested component: GMP
CMake Warning (dev) at src/CMakeLists.txt:51 (get_target_property):
  Policy CMP0026 is not set: Disallow use of the LOCATION target property.
  Run "cmake --help-policy CMP0026" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.

  The LOCATION property should not be read from target "CGAL".  Use the
  target name directly with add_custom_command, or use the generator
  expression $<TARGET_FILE>, as appropriate.

Call Stack (most recent call first):
  src/CGAL/CMakeLists.txt:11 (collect_cgal_library)
This warning is for project developers.  Use -Wno-dev to suppress it.

libCGAL is configured
-- Sources for CGAL component library 'CGAL_Core/CMakeLists.txt' detected
CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
  add_subdirectory given source
  "/home/slitaz/wok/cgal/source/cgal-4.4/src/CGAL_Core/CMakeLists.txt" which
  is not an existing directory.
Call Stack (most recent call first):
  src/CMakeLists.txt:139 (configure_component)


-- Sources for CGAL component library 'CGAL_ImageIO/CMakeLists.txt' detected
CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
  add_subdirectory given source
  "/home/slitaz/wok/cgal/source/cgal-4.4/src/CGAL_ImageIO/CMakeLists.txt"
  which is not an existing directory.
Call Stack (most recent call first):
  src/CMakeLists.txt:139 (configure_component)


-- Sources for CGAL component library 'CGAL_Qt3/CMakeLists.txt' detected
CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
  add_subdirectory given source
  "/home/slitaz/wok/cgal/source/cgal-4.4/src/CGAL_Qt3/CMakeLists.txt" which
  is not an existing directory.
Call Stack (most recent call first):
  src/CMakeLists.txt:139 (configure_component)


-- Sources for CGAL component library 'CGAL_Qt4/CMakeLists.txt' detected
CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
  add_subdirectory given source
  "/home/slitaz/wok/cgal/source/cgal-4.4/src/CGAL_Qt4/CMakeLists.txt" which
  is not an existing directory.
Call Stack (most recent call first):
  src/CMakeLists.txt:139 (configure_component)


-- Sources for CGAL component libraries 'CGAL_Core/CMakeLists.txt;CGAL_ImageIO/CMakeLists.txt;CGAL_Qt3/CMakeLists.txt;CGAL_Qt4/CMakeLists.txt' detected
== Generating build files (DONE) ==

-- Configuring incomplete, errors occurred!
See also "/home/slitaz/wok/cgal/source/cgal-4.4/CMakeFiles/CMakeOutput.log".
See also "/home/slitaz/wok/cgal/source/cgal-4.4/CMakeFiles/CMakeError.log".
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target 'install'.  Stop.

Build dependencies to remove: 25
Removing: cmake gmp-dev icu libarchive libboost libboost-date-time libboost-dev 
libboost-iostreams libboost-regex libboost-serialization libboost-system 
libboost-thread libcurl libicu libidn libidn2 libssh2 libxml2 lz4-lib lzo 
mpfr-dev nettle pcre util-linux-uuid wget

ERROR: cook failed

Debug information
================================================================================
Cook date: 2017-10-28 19:45
Wasted time : 33s ~ 1m
155:CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
164:CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
173:CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
182:CMake Error at src/CMakeLists.txt:81 (add_subdirectory):
205:ERROR: cook failed
================================================================================

